Docs
Update File Association
PUT /Drives/{driveId}/files/{fileId}/associations/{associationId}
PUT
/Drives/{driveId}/files/{fileId}/associations/{associationId}Changes the permissions or reviewer flag of an existing file share. The association id comes from Drives_GetFile. Needs admin access to the file's location.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required | |
| fileId | uuid | Required | |
| associationId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| permissions | string[] | Optional | |
| isReviewer | boolean | Optional |